BEEM - Android XMPP - Feature #87

Permettre I'ajout de contact
04/08/2009 06:12 PM - Frédéric Barthéléry

Status: Closed Start date: 04/08/2009
Priority: Normal Due date:

Assignee: Frédéric Barthéléry % Done: 100%
Category: XMPP Estimated time: 10.00 hours
Target version: Prototype before 1.5 - SFR_Version

Description

Le client beem doit avoir une activite lui permettant d'ajouter un contact mais egalement une autre activite lui permettant d'accepter
une demande.

Pareil cote service ca doit etre implemente, pour cela les methodes interessantes sont :
Roster.setSubscriptionMode() et XMPPConnection.addPacketListener()

History

#1 - 04/08/2009 06:17 PM - Frédéric Barthéléry
- Category changed from User Interface to XMPP

#2 - 04/08/2009 08:15 PM - Frédéric Barthéléry
- % Done changed from 0 to 20

Niveau service, pour ajouter un contact il suffit d'appeler la methode addContact de IRoster.
Au niveau de la reception d'une demande, je la capte bien il ne me reste plus qu'a lancer I'activite qui correspond mais pour l'instant c'est fait de
maniere un peu gorrete. Tout ca est sur la branche xmpp.

#3 - 04/21/2009 09:59 PM - Nikita Kozlov

- Assignee set to Nikita Kozlov

je prend

#4 - 04/22/2009 07:54 PM - Nikita Kozlov
- % Done changed from 20 to 40

On peut rajouter un contact dans le roster en precisant son login/alias/group.
Il faut encore faire la subscription, que ce soit en demande ou en acceptation.
Donc pour l'instant il faut que le contacte que I'on ajoute soit deja en subscript both pour que ca marche.

(faire une combobox pour le choix du groupe avec les groupes deja existants?)

#5 - 04/23/2009 08:27 PM - Nikita Kozlov
- Assignee deleted (Nikita Kozlov)
- % Done changed from 40 to 90

La subscription marche, une demande est envoye automatiquement a I'ajout.
Sinon lorsque qu'on recoit une request il y a une notification qui ramene sur une activity ou I'on peut accepter/refuser la personne.

#6 - 05/25/2009 02:09 AM - Frédéric Barthéléry

- Status changed from New to Feedback

Besoin de feedback sur I'ajout de contact.
Est-ce que ca vous plait ? Faut-il changer des trucs.

#7 - 06/02/2009 04:04 PM - Frédéric Barthéléry

- Status changed from Feedback to Resolved
- Assignee set to Frédéric Barthéléry

- % Done changed from 90 to 100

Si toujours pas de feedback je close bientot.

#8 - 06/09/2009 05:53 PM - Frédéric Barthéléry

- Status changed from Resolved to Closed

Pas de contre indication. La feature est ok. Faire des tickets pour les bugs
